Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ConstantClass

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantClass

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantClass

extends Constant

This class is derived from the abstract Constant class and represents a reference to a (external) class.

Version:
  $Id: ConstantClass.java 1377533 2012-08-26 22:22:59Z markt $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantClass(int name_index)`

Method Summary
`int` `getNameIndex()`
`String` `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantClass

    public ConstantClass(int name_index)

Parameters:
  `name_index` - Name index in constant pool. Should refer to a ConstantUtf8.

Method Detail

### getNameIndex

    public final int getNameIndex()

  Returns:
    Name index in constant pool of class name.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.